package com.hgwebservice.service.syncCdm2;

import cn.hutool.core.bean.BeanUtil;
import com.hgwebservice.dal.dataobject.data.OperatorDataDO;
import com.hgwebservice.dal.dataobject.data.PatientDataDO;
import com.hgwebservice.dal.mysql.data.OperatorDataMapper;
import com.hgwebservice.dal.mysql.data.PatientDataMapper;
import com.hgwebservice.entity.hisview.OperatorData;
import com.hgwebservice.entity.hisview.PatientData;
import com.hgwebservice.service.HgWebService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SyncPatientDataByDeptCodeImpl implements SyncPatientDataByDeptCode {
    @Autowired
    OperatorDataMapper operatorDataMapper;
    @Autowired
    HgWebService hgWebService;
    @Value("${hospital_id}")
    private Integer hospitalId;
    @Override
    public int saveCdm2() {
        List<PatientData> patientData = hgWebService.getPatientDataByDeptCode(null);
        List<PatientDataDO> patientDataDOS = BeanUtil.copyToList(patientData, PatientDataDO.class);
        operatorDataMapper.replacePatientData(patientDataDOS,hospitalId);
        return patientDataDOS.size();
    }
}
